% =========================================================================
%           Group Sparse CR-RLS Adaptive Algorithms Realization
% =========================================================================
%
% Used for realizing the  Group Sparse RLS algorithms in the following paper:
% Paper:  "Group Sparse RLS Algorithms", 
% International Journal of Adaptive Control and Signal Processing, by E.M. Eksioglu 
% accepted for publication, 2014.
% January 2014
% =========================================================================

function [xOrig] = BlockSparseDataGenerator(num_elements, num_coefs, block_size,  block_sparsity, block_occupy)
block_num=num_coefs/block_size;
maxRangeOfCoef = 1;
xOrig = zeros(num_coefs,num_elements);
%size(xOrig)
for i=1:num_elements
    blocks_to_chose=randperm(block_num);
    blocks_to_chose=blocks_to_chose(1:block_sparsity);
    for j=1:block_sparsity
     ij= blocks_to_chose(j);
     block_pos=randperm(block_size);
     block_pos=block_pos(1:block_occupy);
     new_block=zeros(block_size,1);
     new_block(block_pos)=randn(block_occupy,1)*maxRangeOfCoef;
    xOrig((ij-1)*block_size+1:(ij)*block_size,i) = new_block;
    end
end