% =========================================================================
%           Group Sparse CR-RLS Adaptive Algorithms Realization
% =========================================================================
%
% Realizes the Group Sparse RLS algorithm curves shown as in Figs.1, 2 of the following paper:
% Paper:  "Group Sparse RLS Algorithms", 
% International Journal of Adaptive Control and Signal Processing, by E.M. Eksioglu 
% accepted for publication, 2014.
% Code written by Ender M. Eksioglu 
% January 2014
% =========================================================================
if SNRR==1
noise_variance=0.1;
%  beta values    
    b_z=20;  %% for approximate exponential l0 RLS     
    b_dif=0;
    
   % for approximate exponential Group RLS
    beta_z1=3;
    beta_dif1=0;
    
   %  for approximate exponential Group RLS, might be 7
       beta_z2=5; 
    beta_dif2=0;

elseif SNRR==2
noise_variance=0.01;
%  beta values    
    b_z=50;  %% for approximate exponential lo RLS     
    b_dif=0;
    
   %  for approximate exponential Group RLS
    beta_z1=4;
    beta_dif1=0;
    
   %  for approximate exponential Group RLS, might be 7
       beta_z2=7; 
    beta_dif2=0;

elseif SNRR==3
noise_variance=5*0.01;
%  beta values    
    b_z=50;  %% for approximate exponential lo RLS     
    b_dif=0;
    
   %  for approximate exponential Group RLS
    beta_z1=4;
    beta_dif1=0;
    
   %   for approximate exponential Group RLS, might be 7
       beta_z2=7; 
    beta_dif2=0;

end